namespace BPA.MES.Base.Application.Entitys
{
    /// <summary>
    /// 名    称 ：报警日志  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/21 10:17:57 
    /// 描    述 ：  
    /// </summary>
    [SugarTable("alarm")]
    public class AlarmLogEntity : DEntityBase
    {
        /// <summary>
        /// 报警信息
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string MsgInfo { get; set; }
        /// <summary>
        /// 报警值
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Value { get; set; }
        /// <summary>
        /// 报警等级
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Grade { get; set; }
        /// <summary>
        /// 设备名称
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string DeviceName { get; set; }
        /// <summary>
        /// 日期
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Date { get; set; }
        /// <summary>
        /// 时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string Time { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime CreateDate { get; set; }
        /// <summary>
        /// 类型
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string LogType { get; set; }

    }
}
